| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Properties | List of all members
IG.Num.IOptimizer Interface Reference

Interface for optimization algorithms. $A Igor Feb10; More...

Inheritance diagram for IG.Num.IOptimizer:
[legend]
Collaboration diagram for IG.Num.IOptimizer:
[legend]

## Public Member Functions
void | Optimize ()
| Performs optimization using initial data and problem definition contained in this object. More...

## Properties
bool | CopyReferences`[get, set]`
| Indicates whether just references can be copied when setting optimization parameters or results or auxiliary data. If false then deep copy is always be performed. Default is false. More...
int | NumParameters`[get]`
| Number of parameters. More...
int | NumObjectives`[get]`
| Number of objective functions (normally 1 for this type, but can be 0). More...
int | NumConstraints`[get]`
| Number of constraints. More...
int | NumEqualityConstraints`[get]`
| Number of equality constraints. More...
IAnalysis | Analysis`[get, set]`
| Definition of the direct problem (direct analysis that calculates the response functions). More...
IVector | InitialGuess`[get, set]`
| Gets or sets initial guess used in optimization. More...
IVector | InitialStep`[get, set]`
| Gets or sets initial step used in optimization. More...
double | Tolerance`[get, set]`
| Gets or sets the main tolerance (its exact meaning depends on the algorithm in use). More...
int | MaxIterations`[get, set]`
| Gets or sets maximal number of iterations. More...
int | MaxAnalyses`[get, set]`
| Gets or sets maximal number of analyses. More...
IAnalysisResults | Results`[get]`
| Optimization results. More...
bool | KeepCurrentGuess`[get]`
| Whether current guess is kept or not. More...
IAnalysisResults | CurrentGuess`[get]`
| Results of the current guess (usually last analysis that has been performed). More...
bool | KeepBestGuess`[get]`
| Whether best results are kept or not. More...
IAnalysisResults | BestGuess`[get]`
| The best results so far. More...
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Detailed Description

Interface for optimization algorithms. $A Igor Feb10;

## Member Function Documentation

void IG.Num.IOptimizer.Optimize | ( |  | ) |

Performs optimization using initial data and problem definition contained in this object.

Implemented in IG.Num.OptimizerBase.

## Property Documentation

bool IG.Num.IOptimizer.CopyReferences
| get set

Indicates whether just references can be copied when setting optimization parameters or results or auxiliary data. If false then deep copy is always be performed. Default is false.

int IG.Num.IOptimizer.NumParameters
| get

Number of parameters.

int IG.Num.IOptimizer.NumObjectives
| get

Number of objective functions (normally 1 for this type, but can be 0).

int IG.Num.IOptimizer.NumConstraints
| get

Number of constraints.

int IG.Num.IOptimizer.NumEqualityConstraints
| get

Number of equality constraints.

IAnalysis IG.Num.IOptimizer.Analysis
| get set

Definition of the direct problem (direct analysis that calculates the response functions).

IVector IG.Num.IOptimizer.InitialGuess
| get set

Gets or sets initial guess used in optimization.

IVector IG.Num.IOptimizer.InitialStep
| get set

Gets or sets initial step used in optimization.

double IG.Num.IOptimizer.Tolerance
| get set

Gets or sets the main tolerance (its exact meaning depends on the algorithm in use).

int IG.Num.IOptimizer.MaxIterations
| get set

Gets or sets maximal number of iterations.

int IG.Num.IOptimizer.MaxAnalyses
| get set

Gets or sets maximal number of analyses.

IAnalysisResults IG.Num.IOptimizer.Results
| get

Optimization results.

bool IG.Num.IOptimizer.KeepCurrentGuess
| get

Whether current guess is kept or not.

IAnalysisResults IG.Num.IOptimizer.CurrentGuess
| get

Results of the current guess (usually last analysis that has been performed).

bool IG.Num.IOptimizer.KeepBestGuess
| get

Whether best results are kept or not.

IAnalysisResults IG.Num.IOptimizer.BestGuess
| get

The best results so far.

The documentation for this interface was generated from the following file:

- igbase/optimization/Optimizer.cs